<?PHP
/*********************************************************************************
 * By installing or using this file, you are confirming on behalf of the entity
 * subscribed to the SugarCRM Inc. product ("Company") that Company is bound by
 * the SugarCRM Inc. Master Subscription Agreement (“MSA”), which is viewable at:
 * http://www.sugarcrm.com/master-subscription-agreement
 *
 * If Company is not bound by the MSA, then by installing or using this file
 * you are agreeing unconditionally that Company will be bound by the MSA and
 * certifying that you have authority to bind Company accordingly.
 *
 * Copyright (C) 2004-2013 SugarCRM Inc.  All rights reserved.
 ********************************************************************************/

/**
 * THIS CLASS IS GENERATED BY MODULE BUILDER
 * PLEASE DO NOT CHANGE THIS CLASS
 * PLACE ANY CUSTOMIZATIONS IN gc_ProductPrice
 */


class gc_ProductPrice_sugar extends Basic {
	var $new_schema = true;
	var $module_dir = 'gc_ProductPrice';
	var $object_name = 'gc_ProductPrice';
	var $table_name = 'gc_productprice';
	var $importable = true;
		var $id;
		var $name;
		var $date_entered;
		var $date_modified;
		var $modified_user_id;
		var $modified_by_name;
		var $created_by;
		var $created_by_name;
		var $description;
		var $deleted;
		var $created_by_link;
		var $modified_user_link;
		var $assigned_user_id;
		var $assigned_user_name;
		var $assigned_user_link;
		var $charge_type;
		var $charge_period;
		var $list_price;
		var $line_item_id;
		var $icb_flag;
		var $discount;
		var $percent_discount_flag;
		var $igc_settlement_price;
		var $customer_contract_price;
		var $currencyid;
		var $charge_uuid;
		var $currencyid_uuid;
		var $charge_type_uuid;
		var $charge_period_uuid;
		var $list_price_uuid;
		var $icb_flag_uuid;
		var $discount_amount_uuid;
		var $discount_rate_uuid;
		var $customer_contract_price_uuid;
		var $igc_settlement_price_uuid;
			var $disable_row_level_security = true;
		function gc_ProductPrice_sugar(){	
		parent::__construct();
	}
	
	function bean_implements($interface){
		switch($interface){
			case 'ACL': return true;
		}
		return false;
}
		
}
?>